goalFindFirepit.mSteps = 
{
	{ action = "click", object = objectPoiFirepit },
}
goalFindFirepit.readyToStart = false
-- ----------------------------------------------------------------------------
function goalFindFirepit:shouldStart()

	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalFindFirepit:onMovieFinish(movieName)

	if (movieName == kMovieMirror) then
		self.readyToStart = true
	end

end
-- ----------------------------------------------------------------------------
function goalFindFirepit:onLayoutShow(layout)
	
	if (layout == layoutLakesideCampfire) then
		self:achieved()
		
	end
	
end